Docs
Get an API key

MiniMax H3 minimax-h3

Text, frames or reference media to video with a generated soundtrack, 4-15 seconds at 768p.

From the live catalog
View .md
Video
$0.06 / second
Video, 2K
$0.24 / second
Image
$0.02 / megapixel
region ATL

Inputs

InputAccepts
text
image
video
audio

Video

Does not stream.

ParameterTypeValuesDefault
durationinteger4–15
resolutionstring768p, 2K
aspect_ratiostring16:9, 9:16, 4:3, 3:4, 1:1, 21:9
sizestring1344x768, 2688x1536, 768x1344, 1536x2688, 1024x768, 2048x1536, 768x1024, 1536x2048, 768x768, 1536x1536, 1536x672, 3072x1344
generate_audiobooleantrue
seedinteger

Images

Streams with stream: true.

ParameterTypeValuesDefault
sizeany
aspect_ratiostring1:1, 4:3, 3:4, 7:4, 4:7, 16:71:1
resolutionstring768, 2K, 4K
ninteger1–41
response_formatstringurl, b64_jsonurl
seedinteger
stepsinteger4, 10–504
output_formatstringpng, jpeg, webppng
output_compressioninteger0–100
backgroundstringauto, opaqueauto

Endpoints

A request

curl https://api.vultrinference.com/v1/videos \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "minimax-h3",
    "prompt": "A red fox trots through fresh snow at dawn, breath steaming.",
    "duration": 6,
    "aspect_ratio": "16:9",
    "callback_url": "https://example.com/hooks/video"
  }'